AWS IoT Device SDK C++ v2: Aws::Crt::Http::HttpClientConnectionProxyOptions Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Crt::Http::HttpClientConnectionProxyOptions Class Reference

`#include <HttpConnection.h>`

## Public Member Functions
| HttpClientConnectionProxyOptions ()
| HttpClientConnectionProxyOptions (const HttpClientConnectionProxyOptions &rhs)=default
| HttpClientConnectionProxyOptions (HttpClientConnectionProxyOptions &&rhs)=default
HttpClientConnectionProxyOptions & | operator= (const HttpClientConnectionProxyOptions &rhs)=default
HttpClientConnectionProxyOptions & | operator= (HttpClientConnectionProxyOptions &&rhs)=default
| ~HttpClientConnectionProxyOptions ()=default
void | InitializeRawProxyOptions (struct aws_http_proxy_options &raw_options) const

## Public Attributes
String | HostName
uint16_t | Port
Optional< Io::TlsConnectionOptions > | TlsOptions
AwsHttpProxyConnectionType | ProxyConnectionType
std::shared_ptr< HttpProxyStrategy > | ProxyStrategy
AwsHttpProxyAuthenticationType | AuthType
String | BasicAuthUsername
String | BasicAuthPassword

## Detailed Description

Configuration structure that holds all proxy-related http connection options

## Constructor & Destructor Documentation

## ◆ HttpClientConnectionProxyOptions() [1/3]

Aws::Crt::Http::HttpClientConnectionProxyOptions::HttpClientConnectionProxyOptions | ( |  | ) |

## ◆ HttpClientConnectionProxyOptions() [2/3]

Aws::Crt::Http::HttpClientConnectionProxyOptions::HttpClientConnectionProxyOptions | ( | const HttpClientConnectionProxyOptions & | rhs | ) |
| default

## ◆ HttpClientConnectionProxyOptions() [3/3]

Aws::Crt::Http::HttpClientConnectionProxyOptions::HttpClientConnectionProxyOptions | ( | HttpClientConnectionProxyOptions && | rhs | ) |
| default

## ◆ ~HttpClientConnectionProxyOptions()

Aws::Crt::Http::HttpClientConnectionProxyOptions::~HttpClientConnectionProxyOptions | ( |  | ) |
| default

## Member Function Documentation

## ◆ InitializeRawProxyOptions()

void Aws::Crt::Http::HttpClientConnectionProxyOptions::InitializeRawProxyOptions | ( | struct aws_http_proxy_options & | raw_options | ) | const

Intended for internal use only. Initializes the C proxy configuration structure, aws_http_proxy_options, from an HttpClientConnectionProxyOptions instance.

Parameters

  raw_options | - output parameter containing low level proxy options to be passed to the C interface

## ◆ operator=() [1/2]

HttpClientConnectionProxyOptions & Aws::Crt::Http::HttpClientConnectionProxyOptions::operator= | ( | const HttpClientConnectionProxyOptions & | rhs | ) |
| default

## ◆ operator=() [2/2]

HttpClientConnectionProxyOptions & Aws::Crt::Http::HttpClientConnectionProxyOptions::operator= | ( | HttpClientConnectionProxyOptions && | rhs | ) |
| default

## Member Data Documentation

## ◆ AuthType

AwsHttpProxyAuthenticationType Aws::Crt::Http::HttpClientConnectionProxyOptions::AuthType

Deprecated:
  What kind of authentication approach to use when connecting to the proxy Replaced by proxy strategy

Backwards compatibility achieved by invoking CreateBasicHttpProxyStrategy if (1) ProxyStrategy is null (2) AuthType is AwsHttpProxyAuthenticationType::Basic

## ◆ BasicAuthPassword

String Aws::Crt::Http::HttpClientConnectionProxyOptions::BasicAuthPassword

Deprecated:
  The password to use if connecting to the proxy via basic authentication Replaced by using the result of CreateBasicHttpProxyStrategy()

## ◆ BasicAuthUsername

String Aws::Crt::Http::HttpClientConnectionProxyOptions::BasicAuthUsername

Deprecated:
  The username to use if connecting to the proxy via basic authentication Replaced by using the result of CreateBasicHttpProxyStrategy()

## ◆ HostName

String Aws::Crt::Http::HttpClientConnectionProxyOptions::HostName

The name of the proxy server to connect through. Required.

## ◆ Port

uint16_t Aws::Crt::Http::HttpClientConnectionProxyOptions::Port

The port of the proxy server to connect to. Required.

## ◆ ProxyConnectionType

AwsHttpProxyConnectionType Aws::Crt::Http::HttpClientConnectionProxyOptions::ProxyConnectionType

What kind of proxy connection to make

## ◆ ProxyStrategy

std::shared_ptr<HttpProxyStrategy> Aws::Crt::Http::HttpClientConnectionProxyOptions::ProxyStrategy

Proxy strategy to use while negotiating the connection. Use null for no additional steps.

## ◆ TlsOptions

Optional<Io::TlsConnectionOptions> Aws::Crt::Http::HttpClientConnectionProxyOptions::TlsOptions

Sets the TLS options for the connection to the proxy. Optional.

The documentation for this class was generated from the following files:

- crt/aws-crt-cpp/include/aws/crt/http/HttpConnection.h
- crt/aws-crt-cpp/source/http/HttpConnection.cpp